version: "3"
services:
  #  支付项目
  safe:
    image: geek/safe:prod
    container_name: safe-prod
    volumes:
      - /data/opt/project/ads/file:/data/opt/project/ads/file
      - /data/opt/project/ads/log:/data/opt/project/ads/log
      - /usr/share/fonts/:/usr/share/fonts/
    environment:
      - env=prod
    ports:
      - "8015:8073"
    networks:
      root_prenet:
        ipv4_address: 172.29.0.3

networks:
  root_prenet:
    external: true
#网卡设置 已经设置了 不要重复设置 不然会出错
# docker network create --driver bridge --subnet 172.29.0.0/16 --gateway 172.29.0.1 root_prenet
#networks:
#  prenet:
#    driver: bridge
#    ipam:
#      config:
#        - subnet: 172.29.0.0/16
#          gateway: 172.29.0.1
